Bug 119425 - Use Ctrl+Tab to switch between sheets on macOS
Summary: Use Ctrl+Tab to switch between sheets on macOS
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.1.1
Keywords:
Depends on:
Blocks: Shortcuts-Mac
  Show dependency treegraph
 
Reported: 2018-08-22 16:48 UTC by Heiko Tietze
Modified: 2020-05-04 18:20 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2018-08-22 16:48:14 UTC
Latest changes in bug 86404 are inappropriate on macOS since Cmd+Tab is used by the window manager. So please switch from QUOTELEFT_MOD1 to QUOTELEFT_MOD3 similar to what has been done in https://opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/Office/Accelerators.xcu#1115
Comment 1 Heiko Tietze 2018-08-22 16:56:16 UTC
Patch at https://gerrit.libreoffice.org/#/c/59459/
Comment 2 Commit Notification 2018-08-24 07:07:21 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fcb8ee70824acace8fbe2357eaeba52ad9b7332f

tdf#119425 - Use Ctrl+Tab to switch between sheets on macOS

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-08-24 15:14:34 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cb7b687a152d9ab71eaeb9efd5e936339bdf91e5&h=libreoffice-6-1

tdf#119425 - Use Ctrl+Tab to switch between sheets on macOS

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Alex Thurgood 2018-09-19 07:51:28 UTC
This still doesn't work for me in latest master (buildid 694a433d5fbc9ab77dd37e7be9e79fd3776eb24)

1) Open a Calc spreadsheet.
2) Click on a cell in first sheet.
3) Press Ctrl-Tab
4) Nothing happens
Comment 5 Alex Thurgood 2018-09-19 07:53:11 UTC
Nor does it work in LO 6112 release.
Comment 6 Heiko Tietze 2018-09-19 07:58:55 UTC
(In reply to Alex Thurgood from comment #4)
> This still doesn't work for me in latest master (buildid
> 694a433d5fbc9ab77dd37e7be9e79fd3776eb24)
> 
> 1) Open a Calc spreadsheet.
> 2) Click on a cell in first sheet.
> 3) Press Ctrl-Tab
> 4) Nothing happens

Does it work when you switch locale to US English?
Comment 7 Alex Thurgood 2018-09-19 09:19:36 UTC
(In reply to Heiko Tietze from comment #6)

> Does it work when you switch locale to US English?

Do you mean system locale or LO-locale ?
Comment 8 Heiko Tietze 2018-09-19 09:22:21 UTC
(In reply to Alex Thurgood from comment #7)
> (In reply to Heiko Tietze from comment #6)
> 
> > Does it work when you switch locale to US English?
> 
> Do you mean system locale or LO-locale ?

Think LibO is enough. I suspect "<value xml:lang="en-US" install:module="unxwnt">.uno:JumpToPrevTable</value>" to be inappropriate for French.
Comment 9 Alex Thurgood 2018-09-19 09:23:28 UTC
Switching just the LO user interface to en-US and restarting LO makes no difference, the key combo still doesn't work.
Comment 10 Alex Thurgood 2018-09-19 09:26:58 UTC
Hmm setting the UI locale to en-US (Preferences > Language Seetings > Languages) and restarting LO also made no difference.
Comment 11 Heiko Tietze 2018-09-21 10:43:12 UTC
Tested with master and the shortcut is indeed not working. 

Alt+cmd+up/down (legacy) works and ctrl itself too (ctrl+1..5 to set the number format; patch in [1]). I can also assign a new shortcut like ctrl+0 for 100% zoom, so customization is okay [2]. The ctl+tab shortcut was introduced with [3] and surely tested. 

Tor, do you have an idea what's wrong?

[1] https://gerrit.libreoffice.org/#/c/52869/
[2] https://gerrit.libreoffice.org/#/c/52964/
[3] https://gerrit.libreoffice.org/#/c/59459/
Comment 12 QA Administrators 2019-09-22 02:58:56 UTC Comment hidden (obsolete)
Comment 13 Roman Kuznetsov 2019-09-26 16:50:02 UTC
still doesn't work in

Version: 6.4.0.0.alpha0+
Build ID: 98519e6e4da252c717e2018d4800a00115101bc3
CPU threads: 4; OS: Mac OS X 10.14.6; UI render: GL; VCL: osx; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2019-09-18_07:14:28
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 14 Heiko Tietze 2019-10-01 12:16:05 UTC
Unassigning, no idea what's wrong.
Comment 15 eisa01 2020-05-03 10:46:56 UTC
I think what's wrong is that ctrl+tab is supposed to cycle menu and UI elements.

It's used for that in other apps on my mac at least

As such, I would not implement this fix on macOS

So do we need a patch to disable the shortcut just to make sure we don't run into any accessibility problems in the future?
Comment 16 Heiko Tietze 2020-05-04 11:37:27 UTC
(In reply to eisa01 from comment #15)
> I think what's wrong is that ctrl+tab is supposed to cycle menu and UI
> elements.

Really? I read at https://support.apple.com/guide/safari/keyboard-and-other-shortcuts-cpsh003/mac

Make the next tab the active tab > Control-Tab or Shift-Command-]
Make the previous tab the active tab > Control-Shift-Tab or Shift-Command -[
Comment 17 eisa01 2020-05-04 18:20:22 UTC
Hm.. that is correct. It also works in Firefox on macOS to get the tab switcher

But under the HIG it's listed as reserved or "used by the system", so I don't know

In Numbers I can either cycle UI elements, or I get stuck in cycling the sidebar tabs - so both behaviors...

From the HIG:
Move focus to the next group of controls in a dialog or the next table (when Tab moves to the next cell).

Move focus to the previous group of controls.

https://developer.apple.com/design/human-interface-guidelines/macos/user-interaction/keyboard/